Limerence
Automations

Run Automation

Manually trigger an automation run. Creates a chat session and enqueues the prompt.

POST
/automations/{id}/run

Manually trigger an automation run. Creates a chat session and enqueues the prompt.

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://loading/automations/string/run"
{
  "chatId": "string",
  "sessionId": "string"
}
{
  "cause": {
    "code": "api/invalid-json",
    "detail": "string"
  },
  "message": "The request body is not valid JSON"
}
{
  "cause": {
    "code": "auth/jwt-invalid",
    "detail": "malformed"
  },
  "message": "Token verification failed"
}
{
  "cause": {
    "code": "api/no-active-team",
    "detail": "You must have an active team. Please select a team to continue."
  },
  "message": "No active team"
}
{
  "cause": {
    "code": "api/unsupported-media-type",
    "detail": "GET requests cannot have a content type header"
  },
  "message": "Unsupported Media Type"
}
{
  "cause": {
    "code": "automations/enqueue-failed",
    "detail": "Run could not be queued. Try again."
  },
  "message": "Failed to enqueue automation run"
}